---
 linuxthreads/descr.h |   12 ++++++++++++
 1 file changed, 12 insertions(+)

--- a/linuxthreads/descr.h
+++ b/linuxthreads/descr.h
@@ -23,6 +23,7 @@
 #include <stdint.h>
 #include <sys/types.h>
 #include <hp-timing.h>
+#include <lowlevellock.h>
 #include <tls.h>
 
 /* Fast thread-specific data internal to libc.  */
@@ -123,12 +124,23 @@
       uintptr_t sysinfo;
       uintptr_t stack_guard;
       uintptr_t pointer_guard;
+# ifdef __FreeBSD_kernel__
+      long gscope_flag;
+# else
+      int gscope_flag;
+# endif
     } data;
     void *__padding[16];
   } p_header;
 # define p_multiple_threads p_header.data.multiple_threads
+# define p_gscope_flag p_header.data.gscope_flag
 #elif TLS_MULTIPLE_THREADS_IN_TCB
   int p_multiple_threads;
+# ifdef __FreeBSD_kernel__
+  long p_gscope_flag;
+# else
+  int p_gscope_flag;
+# endif
 #endif
 
   pthread_descr p_nextlive, p_prevlive;
